import UIKit
import Flutter
import Lemnisk

@UIApplicationMain
@objc class AppDelegate: FlutterAppDelegate {
  override func application(
    _ application: UIApplication,
    didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?
  ) -> Bool {
    GeneratedPluginRegistrant.register(with: self)
    Lemnisk.shared.setAppGroupID(groupId: "group.co.lemnisk.flutterWrapperExample.apg")
    Lemnisk.shared.configure(writeKey: "yn8yowy4yv16zbj0yz1a", serverUrl: "https://tpl.lemnisk.co", launchOptions: launchOptions)
    Lemnisk.shared.setLogLevel(LemniskLogLevel.debug.rawValue)
//    Lemnisk.shared.registerForPushNotifications()
//          print(categories)
//      })
    return super.application(application, didFinishLaunchingWithOptions: launchOptions)
  }
}
